﻿@model BenhVien.MODEL.NguoiDung
@using BenhVien.UI.Models
@using BASICAUTHORIZE.AGRICH

<div class="modal-dialog">
    <div class="modal-content">
        <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal">&times;</button>
            <h4 class="modal-title">Thông tin bác sĩ , y tá, nhân viên hệ thống</h4>
        </div>
        <form class="fv-form fv-form-bootstrap" id="frm-capnhat1">
            <div class="modal-body">
                <input type="hidden" id="Id" name="Id" value="@(Model != null ? Model.Id.ToString() : "" )" />
                <div class="col-md-12 col-sm-12 col-xs-12 clearfix">
                    <div class="form-group col-md-6 col-sm-6 col-xs-12">
                        <label class="control-label" for="first-name">Loại tài khoản: </label>
                        <div>
                            <select class="ctr-select" data-live-search="true" name="LoaiNguoiDung">
                                <option value="" @(Model == null ? "Selected" : "")>Chọn loại tài khoản sử dụng</option>
                                @*<option value="@EnumUserType.BENH_NHAN" @(Model != null && Model.LoaiNguoiDung == EnumUserType.BENH_NHAN ? "Selected" : "")>@EnumUserType.ToString(EnumUserType.BENH_NHAN)</option>*@
                                <option value="@EnumUserType.BAC_SI" @(Model != null && Model.LoaiNguoiDung == EnumUserType.BAC_SI ? "Selected" : "")>@EnumUserType.ToString(EnumUserType.BAC_SI)</option>
                                <option value="@EnumUserType.Y_TA" @(Model != null && Model.LoaiNguoiDung == EnumUserType.Y_TA ? "Selected" : "")>@EnumUserType.ToString(EnumUserType.Y_TA)</option>
                            </select>
                        </div>
                    </div>
                    <div class="form-group col-md-6 col-sm-6 col-xs-12">
                        <label class="control-label" for="first-name">Trạng thái:</label>
                        <div>
                            <select class="ctr-select" data-live-search="true" name="TrangThaiID">
                                <option value="@EnumStatus.ACTIVE" @((Model != null && Model.TrangThaiID == EnumStatus.ACTIVE) ? "Selected" : "")>@EnumStatus.ToString(EnumStatus.ACTIVE)</option>
                                <option value="@EnumStatus.INACTIVE" @((Model != null && Model.TrangThaiID == EnumStatus.INACTIVE) ? "Selected" : "")>@EnumStatus.ToString(EnumStatus.INACTIVE)</option>
                            </select>
                        </div>
                    </div>
                </div>

                <div class="col-md-12 col-sm-12 col-xs-12 clearfix">
                    <div class="form-group col-md-6 col-sm-6 col-xs-12">
                        <label class="control-label" for="first-name">Tên tài khoản</label>
                        <div>
                            <input type="text" class="form-control" id="TenDangNhap" name="TenDangNhap" value="@(Model != null && Model.TenDangNhap != null?Model.TenDangNhap : "" )" @(Model != null ? "readonly" : "") autocomplete="off">
                        </div>
                    </div>
                    <div class="form-group col-md-6 col-sm-6 col-xs-12">
                        <label class="control-label" for="first-name">Mật khẩu</label>
                        <div>
                            <input type="text" class="form-control" id="MatKhau" name="MatKhau" value="@(Model != null?Model.MatKhau.Decode() : "" )" @(Model != null ? "readonly" : "") autocomplete="off">
                        </div>
                    </div>
                </div>

                <div class="col-md-12 col-sm-12 col-xs-12 clearfix">
                    <div class="form-group col-md-6 col-sm-6 col-xs-12">
                        <label class="control-label" for="first-name">Họ tên</label>
                        <div>
                            <input type="text" class="form-control" id="HoTen" name="HoTen" value="@(Model != null?Model.HoTen : "" )" autocomplete="off">
                        </div>
                    </div>
                    <div class="form-group col-md-6 col-sm-6 col-xs-12">
                        <label class="control-label" for="first-name">Số điện thoại</label>
                        <div>
                            <input type="text" class="form-control" id="SDT" name="SDT" value="@(Model != null?Model.SDT : "" )" autocomplete="off" )>
                        </div>
                    </div>
                </div>
                <div class="col-md-12 col-sm-12 col-xs-12 clearfix">
                    <div class="form-group col-md-6 col-sm-6 col-xs-12">
                        <label class="control-label" for="first-name">Email</label>
                        <div>
                            <input type="text" class="form-control" id="Email" name="Email" value="@(Model != null ? Model.Email : "" )" autocomplete="off">
                        </div>
                    </div>
                    <div class="form-group col-md-6 col-sm-6 col-xs-12">
                        <label class="control-label" for="first-name">Ngày Sinh:</label>
                        <div>
                            <div class='input-group date datetimepicker1' id=''>
                                <input type='text' class="form-control" id="NgaySinh" name="NgaySinh" value="@(Model !=null ?Model.NgaySinh != null?Model.NgaySinh.Value.ToString("dd/MM/yyyy") :"":"")" autocomplete="off" />
                                <span class="input-group-addon">
                                    <span class="glyphicon glyphicon-calendar"></span>
                                </span>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-md-12 col-sm-12 col-xs-12 clearfix">
                    <div class="form-group col-md-6 col-sm-6 col-xs-12">
                        <label class="control-label" for="first-name">Tỉnh/ Thành phố</label>
                        <div>
                            <select class="ctr-select" data-live-search="true" id="ThanhPhoID" name="ThanhPhoID">
                                @Html.Raw(ViewBag.cbxProvince)
                            </select>
                        </div>
                    </div>
                    <div class="form-group col-md-6 col-sm-6 col-xs-12">
                        <label class="control-label" for="first-name">Quận/ Huyện:</label>
                        <div>
                            <select class="ctr-select" data-live-search="true" id="QuanHuyenID" name="QuanHuyenID">
                                <option value="">Chọn quận huyện....</option>
                            </select>
                        </div>
                    </div>
                </div>
                <div class="col-md-12 col-sm-12 col-xs-12 clearfix">
                    <div class="form-group col-md-6 col-sm-6 col-xs-12">
                        <label class="control-label" for="first-name">Xã/ Phường:</label>
                        <div>
                            <select class="ctr-select" data-live-search="true" name="PhuongXaID" id="PhuongXaID">
                                <option value="">Chọn xã phường....</option>
                            </select>
                        </div>
                    </div>
                    <div class="form-group col-md-6 col-sm-6 col-xs-12">
                        <label class="control-label" for="first-name">Giới tính:</label>
                        <div>
                            <select class="ctr-select" data-live-search="true" name="GioiTinh" id="GioiTinh">
                                <option value="" @(Model == null ? "selected" : "")>Chọn giới tính....</option>
                                <option value="1" @(Model != null && Model.GioiTinh == 1 ? "selected" : "")>Nam</option>
                                <option value="2" @(Model != null && Model.GioiTinh == 2 ? "selected" : "")>Nữ</option>
                                <option value="3" @(Model != null && Model.GioiTinh == 3 ? "selected" : "")>Khác</option>
                            </select>
                        </div>
                    </div>
                </div>
                <div class="col-md-12 col-sm-12 col-xs-12 clearfix">
                    <div class="form-group col-md-6 col-sm-6 col-xs-12">
                        <label class="control-label" for="first-name">Khoa </label>
                        <div>
                            <select class="ctr-select" data-live-search="true" name="KhoaID" id="KhoaID">
                                @Html.Raw(ViewBag.cbxKhoa)
                            </select>
                        </div>
                    </div>
                    <div class="form-group col-md-6 col-sm-6 col-xs-12">
                        <label class="control-label" for="first-name">Dân tộc</label>
                        <div>
                            <input type="text" class="form-control" id="DanToc" name="DanToc" value="@(Model != null?Model.DanToc : "" )" autocomplete="off" )>
                        </div>
                    </div>
                </div>
               
                <div class="col-md-12 col-sm-12 col-xs-12 clearfix">

                    <div class="form-group col-md-12 col-sm-12 col-xs-12">
                        <label class="control-label" for="first-name">Địa chỉ:</label>
                        <div>
                            <textarea id="DiaChi" name="DiaChi" class="form-control">@(Model != null ? Model.DiaChi : "" )</textarea>
                        </div>
                    </div>
                </div>
                <div class="col-md-12 col-sm-12 col-xs-12 clearfix">

                    <div class="form-group col-md-12 col-sm-12 col-xs-12">
                        <label class="control-label" for="first-name">Mô tả:</label>
                        <div>
                            <textarea id="Mota" name="Mota" class="form-control">@(Model != null ? Model.Mota : "" )</textarea>
                        </div>
                    </div>
                </div>
                <div class="col-md-12 col-sm-12 col-xs-12 clearfix">
                    <div class="form-group col-md-12 col-sm-12 col-xs-12">
                        <label class="control-label" for="first-name">Ảnh đại diện:</label>
                        <div>
                            <div style="margin-bottom:10px">
                                <input type="file" class="form-control" name="_Avatar" />
                            </div>
                            @if (Model != null && !string.IsNullOrEmpty(Model.Avatar))
                            {
                                <div class="col-md-55">
                                    <div class="thumbnail" style="height:auto;">
                                        <div class="image view view-first">
                                            <img id="_AnhBia" src="@Model.Avatar.Replace("~/", "/")" onclick="javascript: window.open($(this).attr('src'), '_blank')" style="width: 100%; display: block;" alt="image" />
                                            <div class="mask">
                                                <p></p>
                                                <div class="tools tools-bottom">
                                                    <a href="javascript: window.open('@Model.Avatar.Replace("~/", "/")', '_blank')"><i class="fa fa-link"></i></a>
                                                </div>
                                            </div>
                                        </div>

                                    </div>
                                </div>
                            }
                            else
                            {
                                <img id="_AnhBia" src="" onclick="javascript: window.open($(this).attr('src'), '_blank')" style="max-height:150px; display:none;" />
                            }

                        </div>
                    </div>
                </div>
            </div>
            <div class="clearfix"></div>
            <div class="modal-footer">
                <button id="btn-save1" type="submit" class="btn btn-success">Lưu</button>
                <button type="button" class="btn btn-primary" data-dismiss="modal">Thoát</button>
            </div>
        </form>
    </div>
</div>
<script>
    $(document).ready(function () {
        $('.datetimepicker1').datetimepicker({
            format: "DD/MM/YYYY"
        }).on("dp.change", function (e) {
            $('#frm-capnhat1').formValidation('updateStatus', 'BirthDay', 'NOT_VALIDATED').formValidation('validateField', 'BirthDay');
        });
    });
    function enterBHYT(evt) {
        var id = evt.id;
        var value = evt.value;
        if (id == 'SoBHYT_1') {
            if (value.length >= 2) {
                $('#SoBHYT_2').focus();
            }

        } else if (id == 'SoBHYT_2') {
            if (value.length >= 1) {
                $('#SoBHYT_3').focus();
            }

        } else if (id == 'SoBHYT_3') {
            if (value.length >= 2) {
                $('#SoBHYT_4').focus();
            }

        }
    }
    function validationBHYT(evt) {
        var id = evt.id;
        var value = $('#' + id).val();
        if (id == 'SoBHYT_1') {
            if (value.length >= 2) {
                $('#' + id).val("");
            }

        } else if (id == 'SoBHYT_2') {
            if (value.length >= 1) {
                $('#' + id).val("");
            }

        } else if (id == 'SoBHYT_3') {
            if (value.length >= 2) {
                $('#' + id).val("");
            }

        }
    }
</script>
<script>
    $(document).ready(function () {
        debugger;
        $('[name=ThanhPhoID]').change();
       
    });
    $(function () {
        debugger;
        $(".ctr-select").selectpicker({
            width: '100%',
            showTick: true,
        });
        $('[name=ThanhPhoID]').val('@(Model != null ? Model.ThanhPhoID.ToString(): "")').change();
    });


    $(document).on("change", "[name=QuanHuyenID]", function () {
        debugger;
        var district = $('[name=QuanHuyenID]').val();
        var select = '@(Model != null ? Model.QuanHuyenID: null)';
        var params = {
            id: district,
            select: select
        }
        $.ajax({
            url: '@Url.Action("GetComuneByDistrict", "NguoiDung", new { area = "QuanTri" })',
            type: 'POST',
            async: false,
            data: params,
            success: function (data) {
                if (data.kq == "ok") {
                    $('#PhuongXaID').html(data.data);
                    $("#PhuongXaID").selectpicker("refresh");
                    $('#PhuongXaID').val('@(Model != null ? Model.PhuongXaID.ToString(): "")').change();
                }
            }
        });
    });

    $(document).on("change", "PhuongXaID", function () {
        $('#frm-capnhat1').formValidation('updateStatus', 'PhuongXaID', 'NOT_VALIDATED').formValidation('validateField', 'PhuongXaID');
    });
    $(document).on("change", "[name=ThanhPhoID]", function () {
        debugger;
        var province = $('[name=ThanhPhoID]').val();
        var select = '@(Model != null ? Model.QuanHuyenID: null)';
        var params = {
            id: province,
            select: select
        }
        $.ajax({
            url: '@Url.Action("GetDistrictByProvince", "NguoiDung", new { area = "QuanTri" })',
            type: 'POST',
            async: false,
            data: params,
            success: function (data) {
                if (data.kq == "ok") {
                    $('#QuanHuyenID').html(data.data);
                    $("#QuanHuyenID").selectpicker("refresh");
                    $('#QuanHuyenID').val('@(Model != null ? Model.QuanHuyenID.ToString(): "")').change();
                    $('#frm-capnhat1').formValidation('updateStatus', 'QuanHuyenID', 'NOT_VALIDATED').formValidation('validateField', 'QuanHuyenID');
                }
            }
        });
    });


</script>
<script>
    $(document).ready(function () {
        $('#frm-capnhat1').formValidation({
            framework: 'bootstrap',
            excluded: ':disabled',
            fields: {
                TenDangNhap: {
                    validators: {
                        notEmpty: {
                            message: 'Dữ liệu bắt buộc!'
                        },
                        callback: {
                            callback: function (value, validator, $field) {
                                debugger;
                                var codau = encodeURIComponent(value).match(/%[89ABab]/g);

                                if (value.length + (codau ? codau.length : 0) > 100) {
                                    return {
                                        valid: false,
                                        message: 'Dữ liệu không được lớn hơn 100 ký tự.<br/>Số ký tự hiện tại đang là ' + (value.length + (codau ? codau.length : 0))
                                    }
                                }
                                return true;
                            }
                        }
                    }
                },
                Email: {
                    validators: {
                        notEmpty: {
                            message: 'Dữ liệu bắt buộc!'
                        },
                        callback: {
                            callback: function (value, validator, $field) {
                                var codau = encodeURIComponent(value).match(/%[89ABab]/g);

                                if (value.length + (codau ? codau.length : 0) > 500) {
                                    return {
                                        valid: false,
                                        message: 'Dữ liệu không được lớn hơn 500 ký tự.<br/>Số ký tự hiện tại đang là ' + (value.length + (codau ? codau.length : 0))
                                    }
                                }
                                return true;
                            }
                        }
                    }
                },
                MatKhau: {
                    validators: {
                        notEmpty: {
                            message: 'Dữ liệu bắt buộc!'
                        }
                    }
                },
                GioiTinh: {
                    validators: {
                        notEmpty: {
                            message: 'Dữ liệu bắt buộc!'
                        }
                    }
                },
                KhoaID: {
                    validators: {
                        notEmpty: {
                            message: 'Dữ liệu bắt buộc!'
                        }
                    }
                },
                DanToc: {
                    validators: {
                        notEmpty: {
                            message: 'Dữ liệu bắt buộc!'
                        }
                    }
                },
                NgaySinh: {
                    validators: {
                        notEmpty: {
                            message: 'Dữ liệu bắt buộc!'
                        },

                    }
                },
                LoaiNguoiDung: {
                    validators: {
                        notEmpty: {
                            message: 'Dữ liệu bắt buộc!'
                        },

                    }
                },
                TrangThaiID: {
                    validators: {
                        notEmpty: {
                            message: 'Dữ liệu bắt buộc!'
                        },

                    }
                },
                ThanhPhoID: {
                    validators: {
                        notEmpty: {
                            message: 'Dữ liệu bắt buộc!'
                        },

                    }
                },
                QuanHuyenID: {
                    validators: {
                        notEmpty: {
                            message: 'Dữ liệu bắt buộc!'
                        },

                    }
                },
                PhuongXaID: {
                    validators: {
                        notEmpty: {
                            message: 'Dữ liệu bắt buộc!'
                        },

                    }
                },
                DiaChi: {
                    validators: {
                        notEmpty: {
                            message: 'Dữ liệu bắt buộc!'
                        },
                        callback: {
                            callback: function (value, validator, $field) {
                                var codau = encodeURIComponent(value).match(/%[89ABab]/g);

                                if (value.length + (codau ? codau.length : 0) > 300) {
                                    return {
                                        valid: false,
                                        message: 'Dữ liệu không được lớn hơn 300 ký tự.<br/>Số ký tự hiện tại đang là ' + (value.length + (codau ? codau.length : 0))
                                    }
                                }
                                return true;
                            }
                        }
                    }
                },
                HoTen: {
                    validators: {
                        notEmpty: {
                            message: 'Dữ liệu bắt buộc!'
                        },
                        callback: {
                            callback: function (value, validator, $field) {
                                var codau = encodeURIComponent(value).match(/%[89ABab]/g);

                                if (value.length + (codau ? codau.length : 0) > 100) {
                                    return {
                                        valid: false,
                                        message: 'Dữ liệu không được lớn hơn 100 ký tự.<br/>Số ký tự hiện tại đang là ' + (value.length + (codau ? codau.length : 0))
                                    }
                                }
                                return true;
                            }
                        }
                    }
                },
                SDT: {
                    validators: {
                        notEmpty: {
                            message: 'Dữ liệu bắt buộc!'
                        },
                        callback: {
                            callback: function (value, validator, $field) {
                                var vnf_regex = /((09|03|07|08|05)+([0-9]{8})\b)/g;
                                if (value.length != 0 && vnf_regex.test(value) == false) {
                                    return {
                                        valid: false,
                                        message: 'Số điện thoại của bạn không đúng định dạng!'
                                    }
                                }
                                return true;
                            }
                        }
                    }
                },
                _Avatar: {
                    validators: {

                        file: {
                            extension: 'jpeg,jpg,png',
                            type: 'image/jpeg,image/png',
                            maxSize: 5242880,
                            message: 'Hệ thống chỉ hỗ trợ tệp tin hình ảnh định dạng jpeg,jpg,png nhỏ hơn hoặc bằng 5Mb'
                        },
                        @if(!(Model != null && Model.Avatar != null))
                        {
                                <text>
                        notEmpty: {
                            message: 'Dữ liệu bắt buộc!'
                        },
                        </text>
                            }
                    }
                },
            }
        }).on('success.form.fv', function (e) {
                document.getElementById("btn-save1").disabled = true;
                e.preventDefault();
                $.ajax({
                    url: '@Url.Action("Update", "NguoiDung", new { area = "QuanTri" })',
                    type: 'POST',
                    dataType: 'json',
                    mimeType: "multipart/form-data",
                    contentType: false,
                    processData: false,
                    async: false,
                    cache: false,
                    data: new FormData(document.getElementById('frm-capnhat1')),
                    success: function (data) {
                        if (data.kq == "ok") {
                            alertify.success(data.msg);
                            window.location.href = '@Url.Action("MainPage", "NguoiDung", new { area= "QuanTri" })';
                        }
                        else {
                            alertify.error(data.msg);
                            document.getElementById("btn-save1").disabled = false;
                            $("#btn-save1").removeClass("disabled");
                        }
                    }
                });
            });
    });

</script>
